Bug 1573064 - nodejs.req produces incorrect version range for ^1.2 caret dependencies with only two parts
Summary: nodejs.req produces incorrect version range for ^1.2 caret dependencies with ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs-packaging
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: NodeJS Packaging SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-30 05:15 UTC by Dan Callaghan
Modified: 2018-05-11 01:23 UTC (History)
8 users (show)

Fixed In Version: nodejs-packaging-16-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-30 19:49:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Dan Callaghan 2018-04-30 05:15:59 UTC
Description of problem:


Version-Release number of selected component (if applicable):
nodejs-packaging-14-1.fc29.noarch

How reproducible:
easily if you have a nodejs package

Steps to Reproduce:
1. %nodejs_fixdep underscore "^1.6"

Actual results:
Requires: (npm(underscore) >= 1.6 with npm(underscore) < 1.7) nodejs(engine)

Expected results:
Requires: (npm(underscore) >= 1.6 with npm(underscore) < 2) nodejs(engine)

Additional info:
According to: https://docs.npmjs.com/misc/semver#caret-ranges-123-025-004
the caret operator covers every version that does not change the left-most non-zero digit. The example given on that page is:

^1.2.3  is equivalent to  >=1.2.3 <2.0.0

Comment 1 Dan Callaghan 2018-04-30 05:21:57 UTC
https://pagure.io/nodejs-packaging/pull-request/6

Comment 2 Stephen Gallagher 2018-04-30 20:06:22 UTC
Tom, is there any reason this is going to Rawhide only, or can we backport this to the stable branches too?

Comment 3 Tom Hughes 2018-04-30 20:23:21 UTC
We can certainly do 28 and it probably makes sense given we're doing the new rich deps there.

Doing anything older is tricker as it would bring in a bunch of other changes, like the rich deps.

Comment 4 Fedora Update System 2018-04-30 20:31:26 UTC
nodejs-packaging-15-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b8a85255b8

Comment 5 Fedora Update System 2018-05-01 14:13:29 UTC
nodejs-packaging-15-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b8a85255b8

Comment 6 Fedora Update System 2018-05-02 00:06:56 UTC
nodejs-packaging-16-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b8a85255b8

Comment 7 Fedora Update System 2018-05-02 13:13:14 UTC
nodejs-packaging-16-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b8a85255b8

Comment 8 Fedora Update System 2018-05-11 01:23:43 UTC
nodejs-packaging-16-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.